petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCreateDefaultSF

Create the PetscSF encoding the parallel dof overlap for the DM based upon the PetscSections describing the data layout.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateDefaultSF(DM dm, PetscSection localSection, PetscSection globalSection)

### Input Parameters

| dm | - The DM
| localSection | - PetscSection describing the local data layout
| globalSection | - PetscSection describing the global data layout

### See Also

DMGetDefaultSF(), DMSetDefaultSF()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages